-----------------------------------------------------------------------------
-- Stage 5-7
-----------------------------------------------------------------------------
-- GLOBALS

--Create a flock of birds. For now, this works best for a Flying V formation, following a path along the -x axis.
function CreateFlock(birdType, numBirds, path, yOffsetMin, yOffsetMax, flockType, speedFactor)
	local alt = 1;
	local offset = 0;
	if flockType == "V" then
		s = 2;
	else
		end   -- end if statement
	
	for i=0, numBirds-1, 1 do
		entGoose01=EntGame.SpawnBirdOnPath(birdType, path, 0, (s*offset), math.random(yOffsetMin, yOffsetMax), alt*(s*offset), speedFactor);
		Animal.FaceEntity(entGoose01, entCamera);
		alt = alt * (-1);
		if (i - math.floor(i/offset) * offset) == 0 then
			offset = offset + s;
		elseif  i == 0 then
			offset = offset + s;
		else
			end --end if statement
		end -- end for loop
	end;
	
----------------------------------------------------------------------------- 

function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");
 
    EntGame.DestroyAllAnimals()
    Sound.Release(smpHoofs);
    
	end;
	
-----------------------------------------------------------------------------

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldVolcano\\WorldVolcanoCommon.ini", "Maps\\Stage5-7\\Stage5-7.ini","","");
    
	EntGame.CreatePlayerEntities();
	
    EntGame.SetGlobalDustColorInitial(1, .3, .3, .3);
    EntGame.SetGlobalDustColorFinal  (0.0, 0, 0, 0);
    
    EntGame.SetStageTimer(300);
    
    --load sounds
    smpHoofs = Sound.Load("Sound\\Animals\\loop_8hoofs.wav");
        
	EntGame.LoadAnimal(AID_VULTURE_M);
	EntGame.LoadAnimal(AID_HARE_M);
	EntGame.LoadAnimal(AID_MEERKAT_M);	
	EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
	EntGame.LoadAnimal(AID_WILDEBEEST_M);
	EntGame.LoadAnimal(AID_LION_M);
	EntGame.LoadAnimal(AID_SABLE_M);
	
	StartupSequence("Music\\Visibly Shaken Underscore.ogg");
        
    end;

-----------------------------------------------------------------------------
function Part1()	
	
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
	Camera.SetSpeed(entCamera, 0.0, 0.1);
	
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath000", 0, ST_PERCH, 4, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Animal.EnableFear(entVulture, false);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath001", 0, ST_PERCH, 6, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Animal.EnableFear(entVulture, false);
	entVulture=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath006", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "LongerPath000", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	Entity.SetName(entVultureCircle01, "entVultureCircle01");
	entVultureCircle02=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "LongerPath001", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle02, entCamera);
	Entity.SetName(entVultureCircle02, "entVultureCircle02");
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath003", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath005", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath001", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath001", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath002", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath004", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath002", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath000", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath003", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath002", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath003", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath009", 0, ST_PERCH, 5, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath000", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath002", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath004", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath002", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath003", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath001", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath000", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath003", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath005", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	
	end;
-----------------------------------------------------------------------------
function Part2()	
	
	Camera.SetSpeed(entCamera, 2.0, 0.1);

	Gone("entVultureCircle01");
	Gone("entVultureCircle02");
	
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath009", 0, ST_PERCH, 5, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(3.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath007", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);	
	Script.WaitSec(1.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath007", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);	
	Script.WaitSec(2.0);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath007", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath005", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath007", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath008", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath005", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath008", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	
	end;
-----------------------------------------------------------------------------
function Part3()

	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath008", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath010", 0, ST_WPT_RUN, 0, 1, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath010", 0, ST_WPT_RUN, 0, 1, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(4);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath011", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath012", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath010", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath013", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath011", 0, ST_POPUP, 2, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 0.5);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(1);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath012", 0, ST_POPUP, 2, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 1.0);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);	
	Script.WaitSec(1);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath014", 0, ST_PERCH, 12, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(4);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath019", 0, ST_POPUP, 4, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 1.8);	
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(4.8);
	
	end;
-----------------------------------------------------------------------------
function Part4()
	
	Camera.SetSpeed(entCamera, 0.0, 0.1);
	
	Script.WaitSec(.2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath018", 0, ST_POPUP, 2, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entMeerkat, entCamera);	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath016", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath017", 0, ST_POPUP, 2, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 2.0);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath016", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath018", 0, ST_POPUP, 2, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entMeerkat, entCamera);	
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath017", 0, ST_POPUP, 2, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 2.0);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(2);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath020", 0, ST_POPUP, 2, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entMeerkat, entCamera);	
	Script.WaitSec(2);
	
	end;
-----------------------------------------------------------------------------
function Part5()

	Camera.SetSpeed(entCamera, 2.0, 1.0);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath016", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);	
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath016", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath040", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	Script.WaitSec(3);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath040", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath016", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath015", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath021", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	
	Camera.SetSpeed(entCamera, 1.0, 1.0);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath021", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath026", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath036", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath026", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath035", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath035", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath034", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath034", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath034", 0, ST_WPT_RUN, 0, -1.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, 3.0, 3.5, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, 0.0, -4.5, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	
	Script.WaitSec(10);
		
	--Turn Left
	Camera.SetSpeed(entCamera, 0.0, 1.0);
	Camera.SetPanOffset(entCamera, -70, 1.0);
	Camera.SetTiltOffset(entCamera, -10, 1.5);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath037", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath025", 0, ST_POPUP, 3, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 1.2);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(2);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, 0.0, 0.0, .2);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, -2.0, 2.5, .2);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, 3.0, 3.5, .2);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ShortPath028", 0, ST_WPT_RUN, 0, 0.0, -4.5, .2);
	Animal.FaceEntity(entWildebeest, entCamera);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath024", 0, ST_POPUP, 3, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 1.2);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath038", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath023", 0, ST_POPUP, 3, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, .6);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(2);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath025", 0, ST_POPUP, 3, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 1.2);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath037", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath027", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath024", 0, ST_POPUP, 3, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, 1.2);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	Script.WaitSec(2);
	entMeerkat=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "ShortPath023", 0, ST_POPUP, 3, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entMeerkat, entCamera);
	Animal.SetElvOffset(entMeerkat, .6);
	Animal.SetCoinMode(entMeerkat, CM_SPAWNREL);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath029", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath038", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath027", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	CreateFlock(AID_SPURWINGGOOSE_M, 8, "ShortPath022", -1.0, 1.0, "V", 0.5);
	Script.WaitSec(3);
	CreateFlock(AID_SPURWINGGOOSE_M, 8, "ShortPath022", -1.0, 1.0, "V", 0.5);

	--Tile Upward
	Camera.SetTiltOffset(entCamera, 20, 1.5);
	
	Script.WaitSec(3);
	CreateFlock(AID_SPURWINGGOOSE_M, 8, "ShortPath022", -1.0, 1.0, "V", 0.5);
	Script.WaitSec(5);
	
	end;
-----------------------------------------------------------------------------
function Part6()

	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "ShortPath030", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetAutoChargeDist(entLion, 15);
	Animal.SetStrafeAttackDist(entLion, 4.5);
	Animal.SetPostAttackTimer(entLion, 0);
	
	--Pan center
	Camera.SetTiltOffset(entCamera, 0, 1.0);
	Camera.SetPanOffset(entCamera, 0, 1.0);

	Script.WaitSec(4);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "ShortPath033", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetAutoChargeDist(entLion, 15);
	Animal.SetStrafeAttackDist(entLion, 4.5);
	Animal.SetPostAttackTimer(entLion, 0);
	
	--Pan right
	Camera.SetPanOffset(entCamera, 80, 1.0);
	Script.WaitSec(4);
	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "ShortPath031", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetAutoChargeDist(entLion, 15);
	Animal.SetStrafeAttackDist(entLion, 4.5);
	Animal.SetPostAttackTimer(entLion, 0);
	
	--Pan left
	Camera.SetPanOffset(entCamera, -20, 1.0);
	Script.WaitSec(4);
	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "ShortPath033", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetAutoChargeDist(entLion, 15);
	Animal.SetStrafeAttackDist(entLion, 4.5);
	Animal.SetPostAttackTimer(entLion, 0);
	
	--Pan right
	Camera.SetPanOffset(entCamera, 80, 1.0);
	Script.WaitSec(4);
	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "ShortPath030", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetAutoChargeDist(entLion, 15);
	Animal.SetStrafeAttackDist(entLion, 4.5);
	Animal.SetPostAttackTimer(entLion, 0);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "ShortPath031", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetAutoChargeDist(entLion, 15);
	Animal.SetStrafeAttackDist(entLion, 4.5);
	Animal.SetPostAttackTimer(entLion, 0);
	
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath054", 0, ST_PERCH, 6, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Animal.EnableFear(entVulture, false);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath055", 0, ST_PERCH, 8, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Animal.EnableFear(entVulture, false);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath056", 0, ST_PERCH, 7, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Animal.EnableFear(entVulture, false);
			
	--Pan Center
	Camera.SetPanOffset(entCamera, 0, 1.0);
	
	Script.WaitSec(5);
	
	end;
-----------------------------------------------------------------------------
function Part7()
	
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath006", 0, ST_GRAZING, 4, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath006", 0, ST_GRAZING, 8, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath006", 0, ST_GRAZING, 6, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath006", 0, ST_GRAZING, 10, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath006", 0, ST_GRAZING, 4, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath007", 0, ST_GRAZING, 6, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath007", 0, ST_GRAZING, 8, 1.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath007", 0, ST_GRAZING, 10, 3.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath007", 0, ST_GRAZING, 2, 5.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath007", 0, ST_GRAZING, 4, 4.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "MediumPath007", 0, ST_GRAZING, 6, 2.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Animal.EnableFear(entWildebeest, false);
	
	Camera.SetSpeed(entCamera, 3.0, 5);
	
	Script.WaitSec(10);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath009", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetChargeWhenShot(entLion, true);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetPostAttackTimer(entLion, 0);
	Script.WaitSec(1);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath009", 0, ST_WPT_RUN, 0, -1.0, -4.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.SetChargeWhenShot(entLion, true);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetPostAttackTimer(entLion, 0);
	Script.WaitSec(2);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath010", 0, ST_WPT_RUN, 0, 2.0, 2.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Script.WaitSec(2);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath032", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath010", 0, ST_WPT_RUN, 0, 3.0, -2.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	
	Camera.StopAtWaypoint(entCamera, "CamWptLL");
		
	Script.WaitSec(2);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath032", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath039", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);		
	Script.WaitSec(2);	
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath039", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);	
	Script.WaitSec(5);
	
	Camera.SetPanOffset(entCamera, -30, 1.5);
	Camera.SetSpeed(entCamera, 3.0, .01);
	
	Script.WaitSec(8);
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath057", 0, 0.0, 0.0, 0.0, 1.2);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	Script.WaitSec(1);	
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath057", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	Script.WaitSec(2);	
	entVultureCircle01=EntGame.SpawnBirdOnPath(AID_VULTURE_M, "ShortPath057", 0, 0.0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVultureCircle01, entCamera);
	Script.WaitSec(5);	
	
	end;
-----------------------------------------------------------------------------
function Part8()
	
	--Debug
	--Camera.JumpToWaypoint(entCamera, "CamWptLL");
	--Camera.SetSpeed(entCamera, 0.0, 0.01);
	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath004", 0, ST_GRAZING, 5, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	Animal.SetChargeWhenShot(entLion, true);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetPostAttackTimer(entLion, 0);

	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath012", 0, ST_GRAZING, 7, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	Animal.SetChargeWhenShot(entLion, true);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetPostAttackTimer(entLion, 0);
	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath011", 0, ST_WPT_WALK, 0, 0.0, 0.0, .8);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	Animal.SetChargeWhenShot(entLion, true);
	Animal.SetAttackType(entLion, ATK_STRAFE);
	Animal.SetPostAttackTimer(entLion, 0);

	--Pan right
	Camera.SetPanOffset(entCamera, 75, 1.0);
	
	Script.WaitSec(9);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath051", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath051", 0, ST_WPT_RUN, 0, -1.0, 2.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);	
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath052", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath052", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(.5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath052", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath053", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	
	--Start moving
	Camera.SetPanOffset(entCamera, 0, 3.0);
	Camera.SetSpeed(entCamera, 2.0, 4.0);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath058", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath053", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(3);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath060", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath058", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath059", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(4);
	
	end;
-----------------------------------------------------------------------------
function Part9()

	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath045", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath045", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath013", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	
	CreateFlock(AID_SPURWINGGOOSE_M, 7, "ShortPath044", -1.0, 1.0, "V", 0.5);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath013", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath045", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath014", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);	
	Script.WaitSec(4);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "ShortPath045", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(3);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath013", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath013", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath014", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(5);
	
	--Pan Left
	Camera.SetPanOffset(entCamera, -70, 4.0);
	
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entSABLE, entCamera);
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, 0.0, 2.0, 1.0);
	Animal.FaceEntity(entSABLE, entCamera);
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, -2.0, -2.0, 1.0);
	Animal.FaceEntity(entSABLE, entCamera);
	Script.WaitSec(5);
	
	--Stop
	Camera.SetSpeed(entCamera, 0.0, 3.0);
	
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath043", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath014", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entSable=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath042", 0, ST_WPT_RUN, 0, 0.0, 4.0, 0.7);
	Animal.FaceEntity(entSable, entCamera);
	Script.WaitSec(2);
	entSable=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath042", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entSable, entCamera);
	Script.WaitSec(1);
	entSable=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath042", 0, ST_WPT_RUN, 0, 0.0, 2.0, 0.7);
	Animal.FaceEntity(entSable, entCamera);
	Script.WaitSec(1);
	entSable=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath042", 0, ST_WPT_RUN, 0, 0.0, 4.0, 0.7);
	Animal.FaceEntity(entSable, entCamera);
	Script.WaitSec(1);
	
	CreateFlock(AID_SPURWINGGOOSE_M, 9, "ShortPath044", -1.0, 1.0, "V", 0.5);
	
	Script.WaitSec(5);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath047", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath050", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath048", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath049", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(2);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath050", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	Script.WaitSec(1);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath049", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath048", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "MediumPath014", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entHare=EntGame.SpawnAnimalOnPath(AID_HARE_M, "ShortPath047", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.7);
	Animal.FaceEntity(entHare, entCamera);
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, 0.0, 0.0, 0.5);
	Animal.FaceEntity(entSABLE, entCamera);
	Script.WaitSec(1);
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, 0.0, -2.0, 0.5);
	Animal.FaceEntity(entSABLE, entCamera);
	Script.WaitSec(1);
	
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, 0.0, 2.0, 0.5);
	Animal.FaceEntity(entSABLE, entCamera);
	
	Script.WaitSec(1);
	
	entSABLE=EntGame.SpawnAnimalOnPath(AID_SABLE_M, "ShortPath046", 0, ST_WPT_RUN, 0, -3.0, 0.0, 0.5);
	Animal.FaceEntity(entSABLE, entCamera);
	
	Script.WaitSec(5);
	
	Camera.SetSpeed(entCamera, 2.0, 3.0);
	Camera.SetPanOffset(entCamera, 0, 3.0);
	Camera.SetTiltOffset(entCamera, 10, 3.0);
	
	end;
-----------------------------------------------------------------------------
function Part10()	
	
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath017", 0, ST_GRAZING, 20, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath018", 0, ST_GRAZING, 23, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath019", 0, ST_GRAZING, 24, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	entLion=EntGame.SpawnAnimalOnPath(AID_LION_M, "MediumPath020", 0, ST_GRAZING, 22, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entLion, entCamera);
	Animal.EnableFear(entLion, false);
	Script.WaitSec(1);
	
	CreateFlock(AID_SPURWINGGOOSE_M, 5, "ShortPath041", -1.0, 1.0, "V", 0.5);
	
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath016", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath016", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);	
	Script.WaitSec(3);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath015", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath015", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath016", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);	
	Script.WaitSec(3);
	
	Camera.SetSpeed(entCamera, 0.0, 2.0);
	
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath015", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath015", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath016", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath016", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "LongPath000", 0, ST_WPT_RUN, 0, 2.0, 4.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "LongPath000", 0, ST_WPT_RUN, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	entWildebeest=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "LongPath000", 0, ST_WPT_RUN, 0, 4.0, -2.0, 1.0);
	Animal.FaceEntity(entWildebeest, entCamera);
	Script.WaitSec(1.5);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath015", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	Script.WaitSec(2);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath015", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	entVulture=EntGame.SpawnAnimalOnPath(AID_VULTURE_M, "MediumPath016", 0, ST_WPT_FLY, 0, 0.0, 0.0, 1.0);
	Animal.FaceEntity(entVulture, entCamera);
	
	end;
	
-----------------------------------------------------------------------------
-- Round script starts here

Setup();
Part1();
Part2();
Part3();
Part4();
Part5();
Part6();
Part7();
Part8();
Part9();
Part10();


